> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tarefy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualiza um modelo de checklist

> Atualiza um modelo reutilizável da conta; isso não altera checklists já aplicados às tarefas.



## OpenAPI

````yaml /api-reference/tarefas.yaml put /v2/models-checklist/{id}
openapi: 3.0.0
info:
  title: Tarefy API
  description: >-
    Tarefy REST API — platform for team management, tasks, culture, and
    performance.


    Versioned endpoints are available under `/v2/...`. Authenticate with a
    Bearer JWT in the `Authorization` header.


    To get started, see the [authentication guide](/authentication) and the
    [quickstart](/quickstart).
  version: 2.0.0
  contact:
    name: Tarefy Support
    email: suporte@tarefy.com
    url: https://tarefy.com
  license:
    name: Proprietary
servers:
  - url: https://app.tarefy.com/nodeapi
    description: Production
security:
  - bearerAuth: []
tags: []
paths:
  /v2/models-checklist/{id}:
    put:
      tags:
        - Models Checklist
      summary: Atualiza um modelo de checklist
      description: >-
        Atualiza um modelo reutilizável da conta; isso não altera checklists já
        aplicados às tarefas.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                items:
                  description: >-
                    Checklist items, either as a flat list or grouped objects
                    with `name` and `items`.
                  type: array
                  items:
                    type: object
                  example:
                    - id: 1
                      name: Validar payload
                      checked: false
                internal:
                  type: boolean
      responses:
        '200':
          description: Modelo de checklist atualizado com sucesso
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        JWT token obtained from `/v2/auth/login`. Send it in the header:
        `Authorization: Bearer <your_token>`

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.